import os.path
import pandas as pd

class Dataset:
  def __init__(self, name, token, path=None, df=None):
    self.name = name
    self.token = token

    if path is not None:
      self.path = path
      self.__load()
      return

    if df is not None:
      self.data = df


  def data(self):
    return self.data

  def name(self):
    return self.name

  def token(self):
    return self.token

  def error(self):
    return self.error

  def __load(self):
    if os.path.isfile(self.path):
      stat = os.path.getsize(self.path)
      if stat > 0:
        self.data = pd.read_json(self.path, orient='records')
        self.error = False
        return

    self.data = pd.DataFrame({'Error Message' : ["Looks like something went wrong with your query"]})
    self.error = True
